Qt 5.11 | Qt Core | C++ Classes | QUnhandledException

Qt 5.11.3 Reference Documentation

# QUnhandledException Class

The UnhandledException class represents an unhandled exception in a worker thread. More...

Header: | #include <QUnhandledException>
qmake: | QT += core
Since: | Qt 5.0
Inherits: | QException

- List of all members, including inherited members

## Public Functions

virtual | ~QUnhandledException()

- 2 public functions inherited from QException

## Detailed Description

The UnhandledException class represents an unhandled exception in a worker thread.

If a worker thread throws an exception that is not a subclass of QException, the Qt functions will throw a QUnhandledException on the receiver thread side.

Inheriting from this class is not supported.

## Member Function Documentation

### `[virtual]` QUnhandledException::~QUnhandledException()

Destroys the instance of QUnhandledException. The destructor is virtual.